Text Height in Text Style

Discussion in 'AutoCAD' started by Rogerio_Brazil, Jan 17, 2005.

  1. Hello,

    The function above extract text height of Text Style:

    (setq hstyle (cdr (assoc 40 (tblsearch "style" (getvar "TEXTSTYLE")))))

    Please, how to set Text Height = Zero via lisp, without write:

    (command "STYLE" "standard" "" "0" "1" "0" "N" "N").

    Thaks,

    Rogério
     
    Rogerio_Brazil, Jan 17, 2005
    #1
    1. Advertisements

  2. Rogerio_Brazil

    T.Willey Guest

    Here is how I do it.

    (setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object)))
    (setq StyList (vla-get-TextStyles ActDoc))
    (setq StyObj (vla-Item StyList TxtSty))
    (vla-put-Height StyObj 0.0)

    TxtSty = the style name you want to change.

    Tim
     
    T.Willey, Jan 17, 2005
    #2
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.